Bug 146737 - mail/spamass-milter Add OPTIONS to Makefile
Summary: mail/spamass-milter Add OPTIONS to Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-19 19:30 UTC by Marshal Newrock
Modified: 2010-08-26 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.04 KB, patch)
2010-05-19 19:30 UTC, Marshal Newrock
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marshal Newrock 2010-05-19 19:30:05 UTC
OPTIONS is very convenient.  A recent build for us went wrong due to not remembering to set environment variables for this port.

Patch was tested on an 80-column terminal, where I found that detailed descriptions don't fit.  I looked at the informational messages near the end of the port, but it didn't seem necessary to change them, unless "environment variable" should be changed to "option".

Fix: Patch attached with submission follows:
Comment 1 Marshal Newrock 2010-05-24 22:07:23 UTC
I found one error in the attached patch.  In the section with
"WITH_SENDMAIL_BASE", there are two .endif lines in a row.  One of
these needs to be removed.
Comment 2 Stefan Walter freebsd_committer 2010-06-30 15:59:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 3 Stefan Walter freebsd_committer 2010-06-30 16:16:51 UTC
Hi Marshal,

mail/spamass-milter is currently without a maintainer. Since you seem to
be interested in the port working well: Would you be interested in taking
over maintainership of this port?

Also, I noticed that you removed this part from the Makefile:

.if exists(${LOCALBASE}/lib/libldap.so)
WITH_LDAP=yes
.endif

This looks suspiciously like it was added because spamass-milter might
automatically link against an existing ldap library. (It would make sure
that the port also registers a dependency on the installed ldap port.) Are
you sure it can be removed?

Regards,
Stefan
Comment 4 Stefan Walter freebsd_committer 2010-07-01 14:09:42 UTC
State Changed
From-To: open->feedback

Awaiting submitter's feedback.
Comment 5 Stefan Walter freebsd_committer 2010-08-02 17:42:40 UTC
Responsible Changed
From-To: stefan->freebsd-ports-bugs

Return this PR to the pool - I currently do not have the time to take care of 
it.
Comment 6 Pav Lucistnik freebsd_committer 2010-08-26 12:29:36 UTC
State Changed
From-To: feedback->closed

Patch committed after modification
Comment 7 dfilter service freebsd_committer 2010-08-26 12:52:27 UTC
pav         2010-08-26 11:52:12 UTC

  FreeBSD ports repository

  Modified files:
    mail/spamass-milter  Makefile 
  Log:
  - Convert to OPTIONS
  
  PR:             ports/146737
  Submitted by:   Marshal Newrock <marshal@zordio.com
  
  Revision  Changes    Path
  1.42      +6 -35     ports/mail/spamass-milter/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"